{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan Data Kesehatan</title>

    <style>
        body {
            font-family: Arial, sans-serif;
        }
        #header {
            text-align: center;
        }
        #logo-container {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        #logo {
            max-width: 90px;
            max-height: 90px;
            margin-right: 20px;
        }
        #text-container {
            text-align: center;
            margin-bottom: 20px;
        }
        #text-container h3,
        #text-container h1,
        #text-container p {
            margin: 5px 0;
        }
        #address {
            text-align: center;
        }
        #divider {
            width: 100%;
            border-top: 1px solid #000;
            /* margin-top: 20px; */
            /* margin-bottom: 20px; */
        }
        hr {
            border: none;
            border-top: 5px solid #000; /* Warna dan ketebalan garis dapat disesuaikan */
            /* Atur spasi atas dan bawah garis */
        }
        table {
            border-collapse: collapse;
            width: 100%;
        }
    
        th, td {
            border: 1px solid black;
            padding: 8px;
            text-align: left;
        }
    
        th {
            background-color: #f2f2f2;
        }
    
        th:first-child,
        th:nth-child(2),
        th[colspan="2"],
        th:nth-last-child(2),
        th:last-child,
        th:nth-child(5),
        th:nth-child(6) {
            text-align: center;
        }
    
        .sign-box {
            width: 48%;
            padding: 10px;
            margin-top: 20px;
            display: inline-block;
            vertical-align: top;
            text-align: center;
            border: 1px solid black;
            box-sizing: border-box;
            text-align: left;
        }
    
        .row {
            width: 100%;
        }
        .nonLine {
            border-collapse: collapse;
            width: 100%;
            border: none;
        }
        h3 {
            font-family: 'Times New Roman', Times, serif;
        }
        h1 {
            font-family: 'Times New Roman', Times, serif;
        }
        p {
            font-family: 'Times New Roman', Times, serif;
        }
    </style>
</head>
<body>

<!-- <body onload="window.print()"></body> -->
    <div id="header">
        <div id="logo-container">
            <img id="logo" src="{% static 'admin/images/logo-supiori.png' %}" alt="Logo">
            <div id="text-container">
                <h3>PEMERINTAH KABUPATEN SUPIORI</h3>
                <h1>SEKRETARIAT DAERAH</h1>
                <p>Jl. Raya Sorendiweri, Distrik Supiori Timur- Kabupaten Supiori-Provinsi Papua</p>
            </div>
        </div>
    </div>

    <div id="divider"></div>
    <hr> <!-- Garis tambahan setelah kop -->
    <center>
        <h2>Laporan Data Kesehatan</h2>
    </center>
    <!-- Konten lainnya -->
    
    <table>
        <thead>
              <tr>
                <th rowspan="2">No.</th>
                <th rowspan="2">Wilayah</th>
                <th rowspan="2">PUSKESMAS / PUSTU</th>
                <th rowspan="2">Status Puskesmas</th>
                <th rowspan="2">Kondisi Puskesmas</th>
                <th colspan="9">Tenaga Kesehatan</th>
                <th colspan="5">Data Balita & Ibu Hamil</th>
                <th rowspan="2">Jumlah Rumah Dinas</th>
                <th rowspan="2">Foto Puskesmas</th>
                <th rowspan="2">Foto Rumah Dinas</th>
              </tr>
              <tr>
                <th>Dokter Spesialis</th>
                <th>Dokter Umum</th>
                <th>Dokter Gigi</th>
                <th>Jumlah Perawat</th>
                <th>Jumlah Bidan</th>
                <th>Tenaga Promkes</th>
                <th>Tenaga Sanitasi</th>
                <th>Apoteker</th>
                <th>Tenaga Laboratorium</th>
                <th>Jumlah Balita</th>
                <!-- <th>Jumlah balita yang dipantau pertumbuhannya</th> -->
                <th>Jumlah Ibu Hamil</th>
                <!-- <th>Jumlah ibu hamil yang dipantau kehamilannya</th> -->
                <th>Jumlah Kematian Ibu pada saat hamil</th>
                <th>Jumlah kematian ibu pada saat melahirkan</th>
                <th>Jumlah Kematian Bayi</th>
              </tr>
            
        </thead>
        <tbody>
            {% for item_kesehatan in dt_kesehatan_list %}
                <tr>
                        <td>{{forloop.counter}}</td>
                        <td>{{item_kesehatan.kampung.distrik.title}}-{{item_kesehatan.kampung.titles}}</td>
                        <td>{{item_kesehatan.namapuskesmas}} / {{item_kesehatan.putu}} </td>
                        <td>{{item_kesehatan.status_puskesmas}}</td>
                        <td>{{item_kesehatan.kondisi_puskesmas}}</td>
                        <td>{{item_kesehatan.dok_spesialis}} Orang</td>
                        <td>{{item_kesehatan.dok_umum}} Orang</td>
                        <td>{{item_kesehatan.dok_gigi}} Orang</td>
                        <td>{{item_kesehatan.perawat}} Orang</td>
                        <td>{{item_kesehatan.bidan}} Orang</td>
                        <td>{{item_kesehatan.tenaga_promkes}} Orang</td>
                        <td>{{item_kesehatan.tenaga_sanitasi}} Orang</td>
                        <td>{{item_kesehatan.apoteker}} Orang</td>
                        <td>{{item_kesehatan.tenaga_lab}} Orang</td>
                        <td>{{item_kesehatan.jml_balita}} </td>
                        <!-- <td>{{item_kesehatan.jml_balita_dipantau}} sss </td> -->
                        <td>{{item_kesehatan.jml_ibu_hamil}} </td>
                        <!-- <td>{{item_kesehatan.jml_ibu_hamil_pantau}} sss </td> -->
                        <td>{{item_kesehatan.jml_kematian_ibu_hamil}} </td>
                        <td>{{item_kesehatan.jml_kematian_ibu_hamil_melahirkan}} sss</td>
                        <td>{{item_kesehatan.jml_kematian_bayi}} </td>
                        <td>{{item_kesehatan.jml_rumah_dinas}}</td>   
                        <td>
                            <img src="{{item_kesehatan.foto_puskesmas.url}}" width="100">
                        </td>
                        <td>
                            <img src="{{item_kesehatan.foto_rumah_dinas.url}}" width="100">
                        </td>
                </tr>
           {% endfor %}
        </tbody>
    </table>
</body>
</html>
